
version: '3.6'

services:

  global-config:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-global-config:25.12.0
    environment:
      SPRING_PROFILES_ACTIVE: stg # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
      SLACK_TOKEN: xoxb-6506875664277-6522692878945-oPqPDaebTVqUNHQfoIokVc9y
    ports:
      - 33133:33133
    extra_hosts:
      - "313.co.kr:192.168.25.101"
      - "db.313.co.kr:192.168.25.40"
      - "nas.313.co.kr:192.168.25.42"
      - "ubuntu.313.co.kr:192.168.25.101"
      - "www.313.co.kr:192.168.25.101"
      - "www.a-rms.net:192.168.25.101"
      - "a-rms.net:192.168.25.101"
    volumes:
      - /nfs/allinone/app/global-config:/mnt
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints: [node.hostname == swarm2]
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.102:24224
        fluentd-retry-wait: "1s"
        fluentd-max-retries: "30"
        tag: globalconfig

        
networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
